Get the recovery detail for a parked action visit
curl --request GET \
--url https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"runId": "<string>",
"workflowId": "<string>",
"runStatus": "RUNNING",
"nodeExecutionId": "<string>",
"nodeId": "<string>",
"actionKind": "<string>",
"attentionReason": "<string>",
"attentionSince": "<string>",
"inputPreview": {},
"lastFailureCode": "<string>",
"lastFailureClass": "<string>",
"lastOutcomeCertainty": "<string>",
"attempts": [
{
"attemptNumber": 123,
"status": "<string>",
"trigger": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"failureCode": "<string>",
"failureClass": "<string>",
"outcomeCertainty": "<string>",
"retryAfterMs": "<string>"
}
],
"availableDecisions": [
"retry"
],
"expectedVersion": 123,
"retryPolicy": null
}{
"error": "not_found"
}Runs
Get the recovery detail for a parked action visit
GET
/
workflow-runs
/
{runId}
/
action-visits
/
{nodeExecutionId}
Get the recovery detail for a parked action visit
curl --request GET \
--url https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}/action-visits/{nodeExecutionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"runId": "<string>",
"workflowId": "<string>",
"runStatus": "RUNNING",
"nodeExecutionId": "<string>",
"nodeId": "<string>",
"actionKind": "<string>",
"attentionReason": "<string>",
"attentionSince": "<string>",
"inputPreview": {},
"lastFailureCode": "<string>",
"lastFailureClass": "<string>",
"lastOutcomeCertainty": "<string>",
"attempts": [
{
"attemptNumber": 123,
"status": "<string>",
"trigger": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"failureCode": "<string>",
"failureClass": "<string>",
"outcomeCertainty": "<string>",
"retryAfterMs": "<string>"
}
],
"availableDecisions": [
"retry"
],
"expectedVersion": 123,
"retryPolicy": null
}{
"error": "not_found"
}Required scope:
workflows.recover
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK
Available options:
RUNNING, WAITING, NEEDS_ATTENTION, DONE, FAILED, CANCELED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
retry, skip, continue_error, fail 
